import { NotifyWindowEventType } from '../types/event.type';

export interface NotifyWindowEvent {
  type: NotifyWindowEventType;
  id: number;
  close?: (reason?: any) => void;
}

export interface NotifyWindow {
  id?: number;
  displayTime?: number;
  title?: string;
  text?: string;
  image?: string;
  url?: string;
  sound?: string;
  onClick?: (e: NotifyWindowEvent) => void;
  onShow?: (e: NotifyWindowEvent) => void;
  onClose?: (e: NotifyWindowEvent) => void;
}
