import { Type } from '@tsed/core';
import { IModuleOptions, Module } from '@tsed/di';

export interface AppOptions extends IModuleOptions {
  bootstrap: Type<any>;
}

export function AppSettings(settings: Partial<AppOptions> = {}): any {
  return Module({ ...settings, root: true });
}
