import { Type } from '@tsed/core';
import { Inject } from '@tsed/di';
import * as Electron from 'electron';

export type ElectronApp = Electron.App;

export function ElectronApp(
  target: Type<any>,
  targetKey: string,
  // tslint:disable-next-line: ban-types
  descriptor: TypedPropertyDescriptor<Function> | number
) {
  return Inject(ElectronApp)(target, targetKey, descriptor);
}
